PDA

View Full Version : Perl 5.24 libraries for Debian Stretch/9 armhf (Download included)



505
2017-06-19, 13:24
Debian 9 (Stretch) is release, and the default Perl version is 5.24. At the moment, only the CPAN libraries for x86_64 are included. Therefore I compiled the armhf binaries, so I can run it on my Cubox. It might work for other armhf platforms and distributions as well.

You can download the attached file, and upzip it to /usr/share/squeezeboxserver/CPAN/arch/5.24
If others try it and confirm it to work, I'll submit a pull request on GitHub to include it in the installation packages.

Download: http://server.vijge.net/static/squeezebox/perl-5.24_arm-linux-gnueabihf-thread-multi-64int.zip

drmatt
2017-06-19, 15:07
Another Debian release. At one point I didn't think I'd live long enough to see one, now they seem like they come out just as soon as I patched the last one..


Transcoded from Matt's brain by Tapatalk

paul-
2017-06-25, 14:32
We have been running perl 5.24 on piCorePlayer versions of LMS for 8 or 9 months. I would think the binaries from a rpi armv6 system would be more compatible across the board, they for sure run on all rpi processors. We never pushed those binaries, since very few systems were on that version of perl. But it seems things have caught up. Not sure when Raspbian is going to move to a Stretch based image, but when that happens, there will for sure be a higher demand.

Man in a van
2017-06-26, 02:53
Not sure when Raspbian is going to move to a Stretch based image, but when that happens, there will for sure be a higher demand.

From the Raspberry Blog, last week


One final thing This version of the desktop is based on Debian Jessie. Some of you will be aware that a new stable version of Debian (called Stretch) was released last week. Rest assured we have been working on porting everything across to Stretch for some time now, and we will have a Stretch release ready some time over the summer.